summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2008-10-29 18:31:20 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:03:43 +0100
commit0eaf9e512235eedca5f59e25c233268dda940683 (patch)
treec6b02109b4802288448645c357fd84d8db636f60
parent961aa2f3b795891d5011f1c28816d6b1bffcb2cd (diff)
downloadlive-build-0eaf9e512235eedca5f59e25c233268dda940683.zip
live-build-0eaf9e512235eedca5f59e25c233268dda940683.tar.gz
Adding armel to architecture specific checks.
-rwxr-xr-xfunctions/defaults.sh15
-rwxr-xr-xhelpers/lh_binary_debian-installer2
2 files changed, 6 insertions, 11 deletions
diff --git a/functions/defaults.sh b/functions/defaults.sh
index 414d586..bc4e839 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -379,11 +379,6 @@ Set_defaults ()
LH_LINUX_FLAVOURS="amd64"
;;
- arm)
- Echo_error "You need to specify the linux kernel flavour manually on arm (FIXME)."
- exit 1
- ;;
-
hppa)
LH_LINUX_FLAVOURS="parisc"
;;
@@ -404,11 +399,6 @@ Set_defaults ()
LH_LINUX_FLAVOURS="itanium"
;;
- m68k)
- Echo_error "You need to specify the linux kernel flavour manually on m68k (FIXME)."
- exit 1
- ;;
-
powerpc)
case "${LIST}" in
stripped|minimal)
@@ -434,6 +424,11 @@ Set_defaults ()
fi
;;
+ arm|armel|m68k)
+ Echo_error "You need to specify the linux kernel flavour manually on ${LH_ARCHITECTURE} (FIXME)."
+ exit 1
+ ;;
+
*)
Echo_error "Architecture not yet supported (FIXME)"
;;
diff --git a/helpers/lh_binary_debian-installer b/helpers/lh_binary_debian-installer
index 5dca679..3ab6252 100755
--- a/helpers/lh_binary_debian-installer
+++ b/helpers/lh_binary_debian-installer
@@ -268,7 +268,7 @@ then
URL="http://people.debian.org/~aba/d-i/images/daily/"
;;
- arm)
+ arm|armel)
URL="http://people.debian.org/~kmuto/d-i/images/daily/"
;;